(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     15173,        383]
NotebookOptionsPosition[     14849,        367]
NotebookOutlinePosition[     15185,        382]
CellTagsIndexPosition[     15142,        379]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"\[Lambda]", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"T", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ex", "[", 
   RowBox[{"z_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Cos", "[", 
   RowBox[{"2", "\[Pi]", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["z", "\[Lambda]"], "-", 
      FractionBox["t", "T"], "+", 
      FractionBox["1", "8"]}], ")"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ey", "[", 
   RowBox[{"z_", ",", "t_"}], "]"}], ":=", 
  RowBox[{"Cos", "[", 
   RowBox[{"2", "\[Pi]", 
    RowBox[{"(", 
     RowBox[{
      FractionBox["z", "\[Lambda]"], "-", 
      FractionBox["t", "T"]}], ")"}]}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zz", "[", "n_", "]"}], ":=", 
  FractionBox[
   RowBox[{"n", " ", "\[Lambda]"}], "20"]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Ejes", "=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Thickness", "[", "0.003", "]"}], ",", "Gray", ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Arrowheads", "[", "0.02", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"0", ",", 
              RowBox[{"-", "1"}], ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", "1", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"Arrow", "[", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", 
            RowBox[{"-", "0.5"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"0", ",", "0", ",", "2"}], "}"}]}], "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"Arrowheads", "[", "0.02", "]"}], ",", 
         RowBox[{"Arrow", "[", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{
              RowBox[{"-", "1"}], ",", "0", ",", "0"}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"1", ",", "0", ",", "0"}], "}"}]}], "}"}], "]"}]}], 
        "}"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<x\>\"", ",", "16", ",", "Bold"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"1.2", ",", "0", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<y\>\"", ",", "16", ",", "Bold"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "1.2", ",", "0"}], "}"}]}], "]"}], ",", 
       RowBox[{"Text", "[", 
        RowBox[{
         RowBox[{"Style", "[", 
          RowBox[{"\"\<z\>\"", ",", "16", ",", "Bold"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", "2.2"}], "}"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"ImageSize", "\[Rule]", "700"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"Vecs", "[", "t_", "]"}], ":=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Thickness", "[", "0.003", "]"}], ",", 
        RowBox[{"Arrowheads", "[", "0.02", "]"}], ",", 
        RowBox[{"Arrow", "[", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"0", ",", "0", ",", 
             RowBox[{"zz", "[", "n", "]"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{
             RowBox[{"Ex", "[", 
              RowBox[{
               RowBox[{"zz", "[", "n", "]"}], ",", "t"}], "]"}], ",", 
             RowBox[{"Ey", "[", 
              RowBox[{
               RowBox[{"zz", "[", "n", "]"}], ",", "t"}], "]"}], ",", 
             RowBox[{"zz", "[", "n", "]"}]}], "}"}]}], "}"}], "]"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", "20"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Puntos", "=", 
   RowBox[{"Graphics3D", "[", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Darker", "[", "Gray", "]"}], ",", 
        RowBox[{"PointSize", "[", "0.012", "]"}], ",", 
        RowBox[{"Point", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", "0", ",", 
           FractionBox[
            RowBox[{"n", " ", "\[Lambda]"}], "4"]}], "}"}], "]"}]}], "}"}], 
      ",", 
      RowBox[{"{", 
       RowBox[{"n", ",", "0", ",", "4"}], "}"}]}], "]"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Show", "[", 
  RowBox[{"Ejes", ",", 
   RowBox[{"Vecs", "[", 
    RowBox[{"3", 
     RowBox[{"T", "/", "4"}]}], "]"}], ",", "Puntos", ",", 
   RowBox[{"Boxed", "->", "False"}]}], "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Animate", "[", 
   RowBox[{
    RowBox[{"Show", "[", 
     RowBox[{"Ejes", ",", 
      RowBox[{"Vecs", "[", "t", "]"}], ",", 
      RowBox[{"Boxed", "\[Rule]", "False"}]}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"t", ",", "0", ",", "T"}], "}"}]}], "]"}], ";"}]}], "Input",
 CellChangeTimes->{{3.543844521365799*^9, 3.543844686752359*^9}, {
   3.543844717897445*^9, 3.543844729981235*^9}, {3.543844786094005*^9, 
   3.543844805315348*^9}, {3.54384487400008*^9, 3.543844941150784*^9}, {
   3.543844971622201*^9, 3.543844983581368*^9}, {3.543845014428324*^9, 
   3.543845192088337*^9}, {3.54384522978538*^9, 3.543845307263217*^9}, {
   3.543845341043251*^9, 3.543845406661157*^9}, {3.543845568862289*^9, 
   3.543845607921225*^9}, {3.543845645512486*^9, 3.543845696895542*^9}, {
   3.543845767022*^9, 3.54384578654876*^9}, {3.543845854578265*^9, 
   3.543845988111878*^9}, {3.543846019932432*^9, 3.543846155785965*^9}, {
   3.543846240791478*^9, 3.543846330370395*^9}, {3.543846492030415*^9, 
   3.543846496347122*^9}, 3.543846548678216*^9, {3.543846593720061*^9, 
   3.543846595520739*^9}}],

Cell[BoxData[
 Graphics3DBox[{
   {GrayLevel[0.5], Thickness[0.003], 
    {Arrowheads[0.02], Arrow3DBox[{{0, -1, 0}, {0, 1, 0}}]}, 
    Arrow3DBox[{{0, 0, -0.5}, {0, 0, 2}}], 
    {Arrowheads[0.02], Arrow3DBox[{{-1, 0, 0}, {1, 0, 0}}]}, Text3DBox[
     FormBox[
      StyleBox["\<\"x\"\>",
       StripOnInput->False,
       FontSize->16,
       FontWeight->Bold], TraditionalForm], {1.2, 0, 0}], Text3DBox[
     FormBox[
      StyleBox["\<\"y\"\>",
       StripOnInput->False,
       FontSize->16,
       FontWeight->Bold], TraditionalForm], {0, 1.2, 0}], Text3DBox[
     FormBox[
      StyleBox["\<\"z\"\>",
       StripOnInput->False,
       FontSize->16,
       FontWeight->Bold], TraditionalForm], {0, 0, 2.2}]}, {
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, 0}, {-2^Rational[-1, 2], 0, 0}}, {{0, 0, 
        0}, {-0.7071067811865475, 0, 0}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[1, 20]}, {-Cos[Rational[3, 20] Pi], 
         Rational[1, 4] (1 - 5^Rational[1, 2]), Rational[1, 20]}}, {{
        0, 0, 0.05}, {-0.8910065241883679, -0.30901699437494745`, 0.05}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[1, 10]}, {-
         Cos[Rational[1, 20] Pi], -(Rational[5, 8] + 
           Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2], Rational[
         1, 10]}}, {{0, 0, 0.1}, {-0.9876883405951378, -0.5877852522924731, 
        0.1}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[3, 20]}, {-Cos[Rational[1, 20] Pi], 
         Rational[1, 4] (-1 - 5^Rational[1, 2]), Rational[3, 20]}}, {{
        0, 0, 0.15}, {-0.9876883405951378, -0.8090169943749475, 0.15}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[1, 5]}, {-
         Cos[Rational[3, 20] Pi], -(Rational[5, 8] + 
           Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], Rational[
         1, 5]}}, {{0, 0, 0.2}, {-0.8910065241883679, -0.9510565162951535, 
        0.2}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[1, 4]}, {-2^Rational[-1, 2], -1, Rational[
         1, 4]}}, {{0, 0, 0.25}, {-0.7071067811865475, -1, 0.25}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[3, 10]}, {-
         Sin[Rational[3, 20] Pi], -(Rational[5, 8] + 
           Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], Rational[
         3, 10]}}, {{0, 0, 0.3}, {-0.45399049973954675`, -0.9510565162951535, 
        0.3}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[7, 20]}, {-Sin[Rational[1, 20] Pi], 
         Rational[1, 4] (-1 - 5^Rational[1, 2]), Rational[7, 20]}}, {{
        0, 0, 0.35}, {-0.15643446504023087`, -0.8090169943749475, 0.35}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[2, 5]}, {
        Sin[Rational[1, 20] 
          Pi], -(Rational[5, 8] + Rational[-1, 8] 5^Rational[1, 2])^
          Rational[1, 2], Rational[2, 5]}}, {{0, 0, 0.4}, {
        0.15643446504023087`, -0.5877852522924731, 0.4}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[9, 20]}, {
        Sin[Rational[3, 20] Pi], Rational[1, 4] (1 - 5^Rational[1, 2]), 
         Rational[9, 20]}}, {{0, 0, 0.45}, {
        0.45399049973954675`, -0.30901699437494745`, 0.45}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[1, 2]}, {
        2^Rational[-1, 2], 0, Rational[1, 2]}}, {{0, 0, 0.5}, {
        0.7071067811865475, 0, 0.5}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[11, 20]}, {
        Cos[Rational[3, 20] Pi], Rational[1, 4] (-1 + 5^Rational[1, 2]), 
         Rational[11, 20]}}, {{0, 0, 0.55}, {0.8910065241883679, 
        0.30901699437494745`, 0.55}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[3, 5]}, {
        Cos[Rational[1, 20] Pi], (Rational[5, 8] + 
          Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2], Rational[
         3, 5]}}, {{0, 0, 0.6}, {0.9876883405951378, 0.5877852522924731, 
        0.6}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[13, 20]}, {
        Cos[Rational[1, 20] Pi], Rational[1, 4] (1 + 5^Rational[1, 2]), 
         Rational[13, 20]}}, {{0, 0, 0.65}, {0.9876883405951378, 
        0.8090169943749475, 0.65}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[7, 10]}, {
        Cos[Rational[3, 20] Pi], (Rational[5, 8] + 
          Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], Rational[
         7, 10]}}, {{0, 0, 0.7}, {0.8910065241883679, 0.9510565162951535, 
        0.7}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[3, 4]}, {
        2^Rational[-1, 2], 1, Rational[3, 4]}}, {{0, 0, 0.75}, {
        0.7071067811865475, 1, 0.75}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[4, 5]}, {
        Sin[Rational[3, 20] Pi], (Rational[5, 8] + 
          Rational[1, 8] 5^Rational[1, 2])^Rational[1, 2], Rational[
         4, 5]}}, {{0, 0, 0.8}, {0.45399049973954675`, 0.9510565162951535, 
        0.8}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[17, 20]}, {
        Sin[Rational[1, 20] Pi], Rational[1, 4] (1 + 5^Rational[1, 2]), 
         Rational[17, 20]}}, {{0, 0, 0.85}, {0.15643446504023087`, 
        0.8090169943749475, 0.85}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[9, 10]}, {-
         Sin[Rational[1, 20] Pi], (Rational[5, 8] + 
          Rational[-1, 8] 5^Rational[1, 2])^Rational[1, 2], Rational[
         9, 10]}}, {{0, 0, 0.9}, {-0.15643446504023087`, 0.5877852522924731, 
        0.9}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, Rational[19, 20]}, {-Sin[Rational[3, 20] Pi], 
         Rational[1, 4] (-1 + 5^Rational[1, 2]), Rational[19, 20]}}, {{
        0, 0, 0.95}, {-0.45399049973954675`, 0.30901699437494745`, 
        0.95}}]]}, 
    {Thickness[0.003], Arrowheads[0.02], 
     Arrow3DBox[
      NCache[{{0, 0, 1}, {-2^Rational[-1, 2], 0, 1}}, {{0, 0, 
        1}, {-0.7071067811865475, 0, 1}}]]}}, {
    {RGBColor[
     0.33333333333333337`, 0.33333333333333337`, 0.33333333333333337`], 
     PointSize[0.012], Point3DBox[{0, 0, 0}]}, 
    {RGBColor[
     0.33333333333333337`, 0.33333333333333337`, 0.33333333333333337`], 
     PointSize[0.012], 
     Point3DBox[NCache[{0, 0, Rational[1, 4]}, {0, 0, 0.25}]]}, 
    {RGBColor[
     0.33333333333333337`, 0.33333333333333337`, 0.33333333333333337`], 
     PointSize[0.012], 
     Point3DBox[NCache[{0, 0, Rational[1, 2]}, {0, 0, 0.5}]]}, 
    {RGBColor[
     0.33333333333333337`, 0.33333333333333337`, 0.33333333333333337`], 
     PointSize[0.012], 
     Point3DBox[NCache[{0, 0, Rational[3, 4]}, {0, 0, 0.75}]]}, 
    {RGBColor[
     0.33333333333333337`, 0.33333333333333337`, 0.33333333333333337`], 
     PointSize[0.012], Point3DBox[{0, 0, 1}]}}},
  Boxed->False,
  ImageSize->700,
  ViewPoint->{-2.4205066419664267`, 0.9863772378003152, 2.149001521857498},
  ViewVertical->{-0.3108941117229326, 1.157995214728546, 
   0.21339793272676597`}]], "Output",
 CellChangeTimes->{
  3.543844619963899*^9, {3.543844687540829*^9, 3.543844689316235*^9}, {
   3.543844720695656*^9, 3.543844731638218*^9}, {3.543844794060285*^9, 
   3.543844805804256*^9}, {3.543844920653467*^9, 3.543844941553514*^9}, {
   3.543844973908644*^9, 3.54384498424541*^9}, {3.543845022612373*^9, 
   3.543845031660669*^9}, {3.543845067015495*^9, 3.543845192379265*^9}, {
   3.543845265136578*^9, 3.543845307686663*^9}, 3.543845346687836*^9, {
   3.543845390835067*^9, 3.543845407282376*^9}, {3.543845609077665*^9, 
   3.543845631389677*^9}, {3.543845665564591*^9, 3.543845697763701*^9}, 
   3.543845787232173*^9, {3.543845855467504*^9, 3.543845988482499*^9}, {
   3.543846022227623*^9, 3.543846036212955*^9}, {3.54384611738469*^9, 
   3.543846156403724*^9}, {3.543846245248588*^9, 3.543846330632047*^9}, {
   3.543846492695946*^9, 3.54384649692122*^9}, 3.54384654985091*^9, 
   3.543846595933552*^9}]
}, Open  ]]
},
WindowSize->{1280, 970},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"7.0 for Linux x86 (32-bit) (November 10, 2008)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[567, 22, 5884, 160, 536, "Input"],
Cell[6454, 184, 8379, 180, 809, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

